{
"caption": "My inbox rule",
"mailboxCredentialId": "287a81de-cfe0-408e-a81b-3a375b6eda02",
"folderId": "INBOX",
"searchFields": "From",
"matchingType": "AllMailsMustMatch",
"createPersonIfNotFound": true,
"cxmCredentialId": "869bbdc5-4ba5-4989-90dd-d451affe6d3a",
"sourceCrmType": null,
"active": true,
"archiveAsUser": "johndoe",
"errorEMailAddress": null
}curl --location 'https://api.cobra.de/v1/eap/management/rules' \
--header 'X-Integration-Name: API Documentation' \
--header 'X-Integration-Provider: cobra GmbH' \
--header 'X-Cobra-TenantId: 12e39e53-ece1-4d8d-8958-e782de1dbef0' \
--header 'X-Integration-Contact: info@cobra.de' \
--header 'Content-Type: application/json' \
--data '{
"caption": "My inbox rule",
"mailboxCredentialId": "287a81de-cfe0-408e-a81b-3a375b6eda02",
"folderId": "INBOX",
"searchFields": "From",
"matchingType": "AllMailsMustMatch",
"createPersonIfNotFound": true,
"cxmCredentialId": "869bbdc5-4ba5-4989-90dd-d451affe6d3a",
"sourceCrmType": null,
"active": true,
"archiveAsUser": "johndoe",
"errorEMailAddress": null
}'{
"data": {
"id": "533d1401-2aa7-4604-9c34-c2d502165337",
"caption": "My inbox rule",
"mailboxCredentialId": "2c1bad26-3090-4253-a844-4b27b30130cc",
"active": false,
"folderId": "INBOX",
"cxmCredentialId": null,
"sourceCrmType": "CxmWebConnect",
"createPersonIfNotFound": false,
"searchFields": "Default",
"matchingType": "AllMailsMustMatch",
"archiveAsUser": null,
"errorEMailAddress": null
},
"message": null,
"metaData": null,
"statusCode": 201
}